#!/usr/bin/perl -w

use CGI qw(:standard);
use Spindex::search;
use strict;

#my $dir="/var/www/html/web/managed/www/HR/FacHdbk";
my $dir="/var/www/html/sunypotsdam/hr/FacHdbk";
my $sname="booksearch.cgi";
my $webdir="/HR/FacHdbk";

sub Print_Form {

	print start_form();
	print textfield(-name=>"terms"), submit();
	print end_form();	
	
}

sub Print_Header {
	print header();
	
}

sub Print_Heading {

print <<EOF;
<html>
<head>
<link rel="stylesheet" type="text/css" href="http://www.potsdam.edu/HR/styles.css">
</head>
<body>
<table width="100%" cellpadding="0" cellspacing="0">
<tr>
	<td align="left" background="images/shim.jpg"><img src="images/header.jpg"></td>
	<td align="right" background="images/shim.jpg">
	<form method="post" action="/HR/FacHdbk/booksearch.cgi" enctype="application/x-www-form-urlencoded">
	<input type="text" name="terms"  />&nbsp;<input type="submit" value="Search" name=".submit" /></form>

	</td>
	<td background="images/shim.jpg">&nbsp;&nbsp;</td>
</tr>
</table>

EOF

}

sub Print_Foot {

print <<EOF;
 <center>
				<a href="http://www.potsdam.edu/hr/fachdbk/table_of_contents.html">Back to Main Table of Contents</a></center>
  <blockquote>

    <blockquote>
      <center>
        <p>
         For More Information, please contact the Office of Human Resources, Assistant VP Mary Dolan<br />or e-mail:&#160;&#160; <a href="MAILTO:dolanmk\@potsdam.edu">dolanmk\@potsdam.edu</a>.
        </p>
      </center>
    </blockquote>

  </blockquote>
</center>
EOF
}


sub do_search {
	my $term=shift;
	opendir(DIR,$dir);
	my @hits;
	print "<ul>\n";
	for(reverse(sort(readdir(DIR)))) {
		my $thing=$_;
		unless($thing =~ /\.html$/) { next; }
		open(SF,"$dir/$thing") or next;
		while(<SF>) {
			if(/$term/i) {
				my $title=Get_Title("$dir/$thing");
				print "\t<li><a href='$webdir/$sname?$term\:\:\:$thing'>$title</a></li>\n";
				last;
			}
		}
		close SF;
	}
	closedir(DIR);
	print "</ul>\n";
}

	my $cgi=new CGI();
	Print_Header();
	if(@ARGV) {
		my $args=join(' ',@ARGV);
		my($terms,$file)=split(/:::/,$args);
		open(TF,"$dir/$file");
		while(<TF>) {
			my $line=$_;
			$line =~ s/($terms)/<b><font color\=\"\#FF0000\">$1<\/font><\/b>/ig;
			print $line;
		}
		close TF;
	} elsif(param('terms')) {
		Print_Heading();
		do_search(param('terms'));
		print hr;
		Print_Foot();
		print end_html();
	} else {
		Print_Form();
		print end_html();
	}
